Bug 680745 - [NV86] fast user switching does not work
Summary: [NV86] fast user switching does not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-27 13:11 UTC by Jaroslaw Gorny
Modified: 2012-08-07 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:33:02 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log (35.20 KB, text/plain)
2011-02-28 21:30 UTC, Jaroslaw Gorny
no flags Details
Xorg.1.log (36.86 KB, text/plain)
2011-02-28 21:31 UTC, Jaroslaw Gorny
no flags Details
/var/log/messages (316.61 KB, text/plain)
2011-02-28 21:31 UTC, Jaroslaw Gorny
no flags Details
/var/log/gdm contents (25.28 KB, application/x-gzip)
2011-02-28 21:32 UTC, Jaroslaw Gorny
no flags Details

Description Jaroslaw Gorny 2011-02-27 13:11:05 UTC
Description of problem:
Fast User Switching does not work. After clicking other user name in GDM plain background (wallpaper) is being displayed for couple of seconds, and then I'm back to my primary user desktop.

Version-Release number of selected component (if applicable):

F15 Alpha live image: gfx_test_week_20110221_x86-64.iso

How reproducible:
Always

Steps to Reproduce:
1. Make sure you have 2 users in the system (with passwords assigned)
2. Click user name in the top panel and choose 'Switch User'
3. In the GDM menu choose another user (not the one you currently are logged in)
  
Actual results:
After couple of seconds Desktop of primary user is displayed.

Expected results:
Desktop of second user is displayed.


Additional info:
Smolt: http://www.smolts.org/client/show/pub_7ac3b9ad-6c68-4bfa-b514-33cf9a4dd8f3

Comment 1 Ben Skeggs 2011-02-27 22:52:18 UTC
Can you post /var/log/messages and any /var/log/Xorg*.log files from after this has failed.

Thanks!

Comment 2 Jaroslaw Gorny 2011-02-28 21:30:18 UTC
Created attachment 481452 [details]
Xorg.0.log

Xorg.0.log just after fast user switch attempt

Comment 3 Jaroslaw Gorny 2011-02-28 21:31:11 UTC
Created attachment 481453 [details]
Xorg.1.log

Comment 4 Jaroslaw Gorny 2011-02-28 21:31:35 UTC
Created attachment 481454 [details]
/var/log/messages

Comment 5 Jaroslaw Gorny 2011-02-28 21:32:05 UTC
Created attachment 481455 [details]
/var/log/gdm contents

Comment 6 Jaroslaw Gorny 2011-02-28 21:33:26 UTC
All requested files provided + /var/log/gdm contents
The Fast User Switch attempt was made at 21:04:xx, just before the logs were collected.

Comment 7 Ben Skeggs 2011-03-13 22:36:40 UTC
This cause of this issue looks the same as the "window resize makes X crash" bug,
can you update to http://koji.fedoraproject.org/koji/buildinfo?buildID=232757 (kernel-2.6.38-0.rc8.git0.2.fc15) and retry?

Comment 8 Jaroslaw Gorny 2011-03-14 09:57:43 UTC
I plan upgrading my nouveau box to F15 this week. I'll try this kernel ASAP.

Comment 9 Fedora End Of Life 2012-08-07 15:33:06 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.